package com.ywt.outpatient.service.rpc;


import com.ywt.outpatient.domain.entity.center.MedicalCard;

/**
 * @author johnson lin
 * @date 2019/5/13 2:08 PM
 */
public class VerifyCreateRegisteredResult {
    private boolean success;

    private String msg;

    private MedicalCard medicalCard;

    private String doctorTitle;

    public VerifyCreateRegisteredResult() {
    }

    public VerifyCreateRegisteredResult failed(String msg) {
        this.success = false;
        this.msg = msg;
        return this;
    }

    public boolean isSuccess() {
        return success;
    }

    public VerifyCreateRegisteredResult setSuccess(boolean success) {
        this.success = success;
        return this;
    }

    public String getMsg() {
        return msg;
    }

    public VerifyCreateRegisteredResult setMsg(String msg) {
        this.msg = msg;
        return this;
    }

    public MedicalCard getMedicalCard() {
        return medicalCard;
    }

    public VerifyCreateRegisteredResult setMedicalCard(MedicalCard medicalCard) {
        this.medicalCard = medicalCard;
        return this;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public VerifyCreateRegisteredResult setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
        return this;
    }
}
